public class CarBuilderPlant {
	
	private AutoBuilder autoBuilder;

	public void setAutoBuilder(AutoBuilder autob){
		autoBuilder = autob;
	}

	public Auto getAuto(){
		return autoBuilder.getAuto();
	}

	public void constructAuto() {
		autoBuilder.createNewAutoProduct();
		autoBuilder.buildMotore();
		autoBuilder.buildCarrozzeria();
		autoBuilder.buildInterni();
	}
}